Page MenuHomePhabricator

Talk to top ten language WP communities about linking to new Pageviews Analysis from Pageinfo
Closed, ResolvedPublic

Description

English and German are the only WPs in the top ten that currently link to the new Pageviews Analysis tool from the Pageinfo. (Japanese WP links to stats.grok.se, and the rest don't link to any pageviews stats.)

Can we reach out to the communities and encourage them to link to the new tool?

Event Timeline

DannyH created this task.Mar 22 2016, 10:43 PM
Restricted Application added a project: User-Johan. · View Herald TranscriptMar 22 2016, 10:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Johan moved this task from Backlog to Do soon on the User-Johan board.Mar 23 2016, 10:10 AM

I'll mention the other existing tools as well, so they can make an informed choice, if they want one.

I'll mention the other existing tools as well, so they can make an informed choice, if they want one.

Thank you! Yurik's embedded graphs and Lego's extension are the other two options.

I'll mention the other existing tools as well, so they can make an informed choice, if they want one.

Thank you! Yurik's embedded graphs and Lego's extension are the other two options.

I think Lego's extension will ultimately be on all wikis that the pageviews API supports. Probably worth noting

Johan added a comment.Mar 29 2016, 1:10 PM

I'll talk to him and make sure before I talk to the wikis.

I'll talk to him and make sure before I talk to the wikis.

The sooner, the better. This project is one of our quarterly goals for the current quarter. :)

Johan added a comment.Mar 29 2016, 3:29 PM

Mm, plan to work on it tomorrow.

Johan added a comment.Mar 30 2016, 3:39 PM

It's now also included in the pageinfo footer for Japanese and Russian Wikipedia. I've started a discussion on Swedish Wikipedia, translated what I wrote there and have pinged/am pinging others who're active on the major Wikipedias asking them if they're willing to start discussions there.

message in Spanish:
https://meta.wikimedia.org/wiki/User:Johan_(WMF)/Pageview_info_question/es

Please feel free to edit if you think it can be expressed better. I tried to be as clear as possible!

DannyH added a comment.Apr 5 2016, 7:40 PM

@Johan, can you give a status update? Right now, I only see it on English, German and Japanese. I don't see it on Russian.

What list are we using for the top ten? If we do it by views per hour, it's:
English, Russian, German, Spanish, Japanese, French, Italian, Chinese, Portuguese and Polish. Swedish is #16.

Are you having trouble getting answers from people? What responses have you received?

Johan added a comment.Apr 6 2016, 12:06 PM

@DannyH: It's a bit of this and bit of that. I used Swedish mainly because that's where it felt natural for me to start as a Swedish Wikipedia; I didn't consider it one of the top ten (even if it is if you go by article count, but that doesn't make any sense). Consider it a bonus. (: It's at least included in the pageinfo footer on Russian Wikipedia.

Some that I poked before the hackathon haven't done anything. E.g. Swedish Wikipedia has discussed but not reached any conclusion. French Wikipedia links to Pageview Analysis from the article history (example).

I've checked on frwp, and there is already a link to PageViews: https://fr.wikipedia.org/w/index.php?title=Michael_Maittaire&action=history&uselang=fr, link "statistiques de consultation"
That link is not visible when your interface is not in French, which is wired.

Johan added a comment.Apr 7 2016, 10:10 AM

All top-ten Wikipedias (according to the same metrics as wikipedia.org) now link to the tool either from MediaWiki:Histlegend or MediaWikia:Pageinfo-footer. Well done, people really like this tool.

Spanish
French
Russian
Polish
English
Portoguese
Italian
Japanese
German
Chinese

Johan closed this task as Resolved.Apr 7 2016, 10:11 AM
Johan moved this task from Do soon to Archive on the User-Johan board.Jul 26 2017, 3:21 AM